Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class Stoplist

    java.lang.Object
      infomat.vectorspace.Stoplist

All Implemented Interfaces:
  HasProperties

    public class Stoplist

extends java.lang.Object
implements HasProperties

A stoplist. Consists of an IVector of String:s. To stop (remove) IObject:s these String:s are compared to a IMatrix along a specified dimension (rows or columns).

Field Summary
`(package private) Properties` | `properties`
`private IVector<IObject>` | `stopIObjects`
`private IVectorStringIO` | `stopStringIO`
`private IVector<IVectorString>` | `stopStrings`

Constructor Summary
`Stoplist()`
`Stoplist(java.lang.String fileName)`

Method Summary
`void` | `constructStopIObjectsFromStopStrings(IMatrix matrix, boolean row)` Adapts the stoplist to the specified matrix and dimension.
`void` | `constructStopStringsFromStopIObjects()` Constructs a stoplist of String:s from the current set of IObjects.
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`java.util.Vector` | `getPropertyVector()`
`IVector<IObject>` | `getStopIObjectsVector()`
`IVector<IVectorString>` | `getStopStringsVector()`
`void` | `readFile(java.io.File file)`
`void` | `readFile(java.lang.String fileName)` Reads strings from a text file with one string per row.
`void` | `removeIObjectsInStoplist(IMatrix matrix, boolean row)` Applies #constructStopIObjectsFromStopStrings and #removeStopIObjects().
`void` | `removeStopIObjects(IMatrix matrix, boolean row)` Removes the IObject:s in the stoplist from the matrix along the specified dimension.
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setStopIObjectsVector(IVector<IObject> vec)` Very unsafe!
`void` | `writeFile(java.io.File file)`
`void` | `writeFile(java.lang.String fileName)` Write strings to a text file with one string per row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    Properties properties

### stopStringIO

    private IVectorStringIO stopStringIO

### stopStrings

    private IVector<IVectorString> stopStrings

### stopIObjects

    private IVector<IObject> stopIObjects

Constructor Detail

### Stoplist

    public Stoplist()

### Stoplist

    public Stoplist(java.lang.String fileName)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getStopStringsVector

    public IVector<IVectorString> getStopStringsVector()

### getStopIObjectsVector

    public IVector<IObject> getStopIObjectsVector()

### setStopIObjectsVector

    public void setStopIObjectsVector(IVector<IObject> vec)

  Very unsafe!

### constructStopIObjectsFromStopStrings

    public void constructStopIObjectsFromStopStrings(IMatrix matrix,
                                                     boolean row)

  Adapts the stoplist to the specified matrix and dimension. Only IOjbect:s corresponding to any string are stored (and later removed).

### constructStopStringsFromStopIObjects

    public void constructStopStringsFromStopIObjects()

  Constructs a stoplist of String:s from the current set of IObjects.

### removeStopIObjects

    public void removeStopIObjects(IMatrix matrix,
                                   boolean row)

  Removes the IObject:s in the stoplist from the matrix along the specified dimension. (If the matrix has the same set as rows and columns the IObjects are removed from both.)

### removeIObjectsInStoplist

    public void removeIObjectsInStoplist(IMatrix matrix,
                                         boolean row)

  Applies #constructStopIObjectsFromStopStrings and #removeStopIObjects().

### readFile

    public void readFile(java.lang.String fileName)

  Reads strings from a text file with one string per row.

### readFile

    public void readFile(java.io.File file)

### writeFile

    public void writeFile(java.lang.String fileName)

  Write strings to a text file with one string per row.

### writeFile

    public void writeFile(java.io.File file)

### getPropertyVector

    public java.util.Vector getPropertyVector()

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD